package com.rjconsultores.ventaboletos.exception;

import java.text.MessageFormat;

import org.zkoss.util.resource.Labels;

public class ComissaoException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * 
	 * @param message
	 *            - La clave del archivo de traduccion
	 */
	public ComissaoException(String message) {
		super(Labels.getLabel(message));
	}

	/**
	 * 
	 * @param message-
	 *            La clave del archivo de traduccion
	 * @param oMsg
	 *            - Los parametros de la mensage
	 */
	public ComissaoException(String message, Object oMsg) {
		super(new MessageFormat(Labels.getLabel(message)).format(oMsg));
	}

	public ComissaoException(String message, Object oMsg, Object... parametros) {
		super(new MessageFormat(Labels.getLabel(message, parametros)).format(oMsg));
	}

}
